Package org.eclipse.net4j.util

# Class AbstractSupport.ClassAvailability

java.lang.Object
org.eclipse.net4j.util.AbstractSupport
org.eclipse.net4j.util.AbstractSupport.ClassAvailability

Enclosing class:
  AbstractSupport

public static class AbstractSupport.ClassAvailability extends AbstractSupport

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.AbstractSupport

`AbstractSupport.ClassAvailability`

## Constructor Summary

Constructors
Constructor
Description
`ClassAvailability(String pluginID, String className)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`determineAvailability()`

### Methods inherited from class org.eclipse.net4j.util.AbstractSupport

`isAvailable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassAvailability

public ClassAvailability(String pluginID, String className)

## Method Details

### determineAvailability

protected boolean determineAvailability() throws Throwable

Specified by:
  `determineAvailability` in class `AbstractSupport`
Throws:
  `Throwable`